JUCE: Unity

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

Loading...
Searching...
No Matches
Macros | Typedefs | Enumerations | Functions | Variables
Unity
juce_audio_plugin_client

## Macros
#define | UNITY_AUDIO_PLUGIN_API_VERSION 0x010401
#define | UNITY_INTERFACE_API
#define | UNITY_INTERFACE_EXPORT __attribute__ ((visibility ("default")))

## Typedefs
typedef int(* | createCallback) (UnityAudioEffectState *state)
typedef int(* | releaseCallback) (UnityAudioEffectState *state)
typedef int(* | resetCallback) (UnityAudioEffectState *state)
typedef int(* | processCallback) (UnityAudioEffectState *state, float *inBuffer, float *outBuffer, unsigned int bufferSize, int numInChannels, int numOutChannels)
typedef int(* | setPositionCallback) (UnityAudioEffectState *state, unsigned int pos)
typedef int(* | setFloatParameterCallback) (UnityAudioEffectState *state, int index, float value)
typedef int(* | getFloatParameterCallback) (UnityAudioEffectState *state, int index, float *value, char *valuestr)
typedef int(* | getFloatBufferCallback) (UnityAudioEffectState *state, const char *name, float *buffer, int numsamples)
typedef int(* | distanceAttenuationCallback) (UnityAudioEffectState *state, float distanceIn, float attenuationIn, float *attenuationOut)
typedef void(* | renderCallback) (int eventId)

## Enumerations
enum | UnityAudioEffectDefinitionFlags { isSideChainTarget = 1 , isSpatializer = 2 , isAmbisonicDecoder = 4 , appliesDistanceAttenuation = 8 }
enum | UnityAudioEffectStateFlags { stateIsPlaying = 1 , stateIsPaused = 2 , stateIsMuted = 8 , statIsSideChainTarget = 16 }
enum | UnityEventModifiers { shift = 1 , control = 2 , alt = 4 , command = 8 , numeric = 16 , capsLock = 32 , functionKey = 64 }

## Functions
| __attribute__ ((visibility("default"))) int UnityGetAudioEffectDefinitions(UnityAudioEffectDefinition ***definitionsPtr)

## Variables
void * | textureHandle
void int | w
void int int | h
float | x
float float | y
float float UnityEventModifiers | mods
float float UnityEventModifiers int | button
int | code
int UnityEventModifiers const char * | name

## Detailed Description

## Macro Definition Documentation

## ◆ UNITY_AUDIO_PLUGIN_API_VERSION

#define UNITY_AUDIO_PLUGIN_API_VERSION 0x010401

## ◆ UNITY_INTERFACE_API

#define UNITY_INTERFACE_API

## ◆ UNITY_INTERFACE_EXPORT

#define UNITY_INTERFACE_EXPORT __attribute__ ((visibility ("default")))

## Typedef Documentation

## ◆ createCallback

typedef int( * createCallback) (UnityAudioEffectState *state)

## ◆ releaseCallback

typedef int( * releaseCallback) (UnityAudioEffectState *state)

## ◆ resetCallback

typedef int( * resetCallback) (UnityAudioEffectState *state)

## ◆ processCallback

typedef int( * processCallback) (UnityAudioEffectState *state, float *inBuffer, float *outBuffer, unsigned int bufferSize, int numInChannels, int numOutChannels)

## ◆ setPositionCallback

typedef int( * setPositionCallback) (UnityAudioEffectState *state, unsigned int pos)

## ◆ setFloatParameterCallback

typedef int( * setFloatParameterCallback) (UnityAudioEffectState *state, int index, float value)

## ◆ getFloatParameterCallback

typedef int( * getFloatParameterCallback) (UnityAudioEffectState *state, int index, float *value, char *valuestr)

## ◆ getFloatBufferCallback

typedef int( * getFloatBufferCallback) (UnityAudioEffectState *state, const char *name, float *buffer, int numsamples)

## ◆ distanceAttenuationCallback

typedef int( * distanceAttenuationCallback) (UnityAudioEffectState *state, float distanceIn, float attenuationIn, float *attenuationOut)

## ◆ renderCallback

typedef void( * renderCallback) (int eventId)

## Enumeration Type Documentation

## ◆ UnityAudioEffectDefinitionFlags

enum UnityAudioEffectDefinitionFlags

Enumerator
isSideChainTarget |
isSpatializer |
isAmbisonicDecoder |
appliesDistanceAttenuation |

## ◆ UnityAudioEffectStateFlags

enum UnityAudioEffectStateFlags

Enumerator
stateIsPlaying |
stateIsPaused |
stateIsMuted |
statIsSideChainTarget |

## ◆ UnityEventModifiers

enum UnityEventModifiers

Enumerator
shift |
control |
alt |
command |
numeric |
capsLock |
functionKey |

## Function Documentation

## ◆ __attribute__()

__attribute__ | ( | (visibility("default")) |  | ) |

## Variable Documentation

## ◆ textureHandle

void* textureHandle

## ◆ w

float float float w

Referenced by RectanglePlacement::appliedTo(), Justification::applyToRectangle(), PositionedGlyph::getBounds(), PositionedGlyph::getRight(), and Rectangle< ValueType >::withRightX().

## ◆ h

float float float float h

Referenced by RectanglePlacement::appliedTo(), Justification::applyToRectangle(), HashMap< KeyType, ValueType, HashFunctionType, TypeOfCriticalSectionToUse >::clear(), and Rectangle< ValueType >::withBottomY().

## ◆ x

float x

Referenced by RectangleList< ValueType >::add(), Point< ValueType >::addXY(), RectanglePlacement::appliedTo(), Justification::appliedToRectangle(), Justification::applyToRectangle(), Point< ValueType >::applyTransform(), clampPixelComponents(), RectangleList< ValueType >::containsPoint(), juce::dsp::FastMathApproximations::cos(), juce::dsp::FastMathApproximations::cosh(), juce::dsp::FastMathApproximations::exp(), Rectangle< ValueType >::findAreaContainingPoints(), Point< ValueType >::getAngleToPoint(), PositionedGlyph::getBounds(), Point< ValueType >::getDistanceFrom(), Point< ValueType >::getDistanceFromOrigin(), Point< ValueType >::getDistanceSquaredFromOrigin(), Point< ValueType >::getDotProduct(), PositionedGlyph::getLeft(), Image::BitmapData::getPixelPointer(), Point< ValueType >::getPointOnCircumference(), Point< ValueType >::getPointOnCircumference(), PositionedGlyph::getRight(), Point< ValueType >::getX(), juce::dsp::Oscillator< SampleType >::initialise(), Rectangle< ValueType >::intersectRectangles(), Point< ValueType >::isFinite(), EdgeTable::iterate(), juce::dsp::FastMathApproximations::logNPlusOne(), maskPixelComponents(), juce::midi_ci::Message::ACK::operator!=(), juce::midi_ci::Message::Discovery::operator!=(), juce::midi_ci::Message::DiscoveryResponse::operator!=(), juce::midi_ci::Message::EndpointInquiry::operator!=(), juce::midi_ci::Message::EndpointInquiryResponse::operator!=(), juce::midi_ci::Message::Header::operator!=(), juce::midi_ci::Message::InvalidateMUID::operator!=(), juce::midi_ci::Message::NAK::operator!=(), juce::midi_ci::Message::ProcessEndMidiMessageReport::operator!=(), juce::midi_ci::Message::ProcessInquiry::operator!=(), juce::midi_ci::Message::ProcessInquiryResponse::operator!=(), juce::midi_ci::Message::ProcessMidiMessageReport::operator!=(), juce::midi_ci::Message::ProcessMidiMessageReportResponse::operator!=(), juce::midi_ci::Message::ProfileAdded::operator!=(), juce::midi_ci::ProfileAtAddress::operator!=(), juce::midi_ci::Message::ProfileDetails::operator!=(), juce::midi_ci::Message::ProfileDetailsResponse::operator!=(), juce::midi_ci::Message::ProfileDisabledReport::operator!=(), juce::midi_ci::Message::ProfileEnabledReport::operator!=(), juce::midi_ci::Message::ProfileInquiry::operator!=(), juce::midi_ci::Message::ProfileInquiryResponse::operator!=(), juce::midi_ci::Message::ProfileOff::operator!=(), juce::midi_ci::Message::ProfileOn::operator!=(), juce::midi_ci::Message::ProfileRemoved::operator!=(), juce::midi_ci::Message::ProfileSpecificData::operator!=(), juce::midi_ci::Message::PropertyExchangeCapabilities::operator!=(), juce::midi_ci::Message::PropertyExchangeCapabilitiesResponse::operator!=(), juce::midi_ci::Message::PropertyGetData::operator!=(), juce::midi_ci::Message::PropertyGetDataResponse::operator!=(), juce::midi_ci::Message::PropertyNotify::operator!=(), juce::midi_ci::Message::PropertySetData::operator!=(), juce::midi_ci::Message::PropertySetDataResponse::operator!=(), juce::midi_ci::Message::PropertySubscribe::operator!=(), juce::midi_ci::Message::PropertySubscribeResponse::operator!=(), juce::dsp::Polynomial< FloatingType >::operator()(), Point< ValueType >::operator*(), Point< ValueType >::operator*(), juce::dsp::Matrix< ElementType >::operator*=(), Point< ValueType >::operator*=(), Point< ValueType >::operator+(), Point< ValueType >::operator+=(), Point< ValueType >::operator-(), Point< ValueType >::operator-(), Point< ValueType >::operator-=(), Point< ValueType >::operator/(), Point< ValueType >::operator/(), Point< ValueType >::operator/=(), juce::midi_ci::ProfileAtAddress::operator<(), juce::midi_ci::ProfileAtAddress::operator<=(), juce::midi_ci::Message::ACK::operator==(), operator==(), juce::midi_ci::Message::Discovery::operator==(), juce::midi_ci::Message::DiscoveryResponse::operator==(), juce::midi_ci::Message::EndpointInquiry::operator==(), juce::midi_ci::Message::EndpointInquiryResponse::operator==(), AudioPlayHead::FrameRate::operator==(), juce::midi_ci::FunctionBlock::operator==(), juce::midi_ci::Message::Header::operator==(), juce::midi_ci::Message::InvalidateMUID::operator==(), AudioPlayHead::LoopPoints::operator==(), juce::midi_ci::Message::NAK::operator==(), juce::midi_ci::Message::Parsed::operator==(), juce::midi_ci::Message::ProcessEndMidiMessageReport::operator==(), juce::midi_ci::Message::ProcessInquiry::operator==(), juce::midi_ci::Message::ProcessInquiryResponse::operator==(), juce::midi_ci::Message::ProcessMidiMessageReport::operator==(), juce::midi_ci::Message::ProcessMidiMessageReportResponse::operator==(), juce::midi_ci::Message::ProfileAdded::operator==(), juce::midi_ci::ProfileAtAddress::operator==(), juce::midi_ci::Message::ProfileDetails::operator==(), juce::midi_ci::Message::ProfileDetailsResponse::operator==(), juce::midi_ci::Message::ProfileDisabledReport::operator==(), juce::midi_ci::Message::ProfileEnabledReport::operator==(), juce::midi_ci::Message::ProfileInquiry::operator==(), juce::midi_ci::Message::ProfileInquiryResponse::operator==(), juce::midi_ci::Message::ProfileOff::operator==(), juce::midi_ci::Message::ProfileOn::operator==(), juce::midi_ci::Message::ProfileRemoved::operator==(), juce::midi_ci::Message::ProfileSpecificData::operator==(), juce::midi_ci::Message::PropertyExchangeCapabilities::operator==(), juce::midi_ci::Message::PropertyExchangeCapabilitiesResponse::operator==(), juce::midi_ci::Message::PropertyGetData::operator==(), juce::midi_ci::Message::PropertyGetDataResponse::operator==(), juce::midi_ci::Message::PropertyNotify::operator==(), juce::midi_ci::Message::PropertySetData::operator==(), juce::midi_ci::Message::PropertySetDataResponse::operator==(), juce::midi_ci::Message::PropertySubscribe::operator==(), juce::midi_ci::Message::PropertySubscribeResponse::operator==(), juce::midi_ci::Subscription::operator==(), juce::midi_ci::SupportedAndActive::operator==(), AudioPlayHead::TimeSignature::operator==(), juce::midi_ci::ProfileAtAddress::operator>(), juce::midi_ci::ProfileAtAddress::operator>=(), Point< ValueType >::rotatedAboutOrigin(), Point< ValueType >::roundToInt(), Point< ValueType >::setX(), Point< ValueType >::setXY(), juce::dsp::FastMathApproximations::sin(), juce::dsp::FastMathApproximations::sinh(), juce::dsp::FastMathApproximations::tan(), juce::dsp::FastMathApproximations::tanh(), Point< ValueType >::toDouble(), Point< ValueType >::toFloat(), Point< ValueType >::toInt(), Point< ValueType >::toString(), juce::midi_ci::PropertySubscriptionCommandUtils::toString(), Point< ValueType >::transformedBy(), AffineTransform::transformPoint(), Point< ValueType >::translated(), AudioProcessorParameterWithIDAttributes::withAutomatable(), AudioProcessorValueTreeStateParameterAttributes::withAutomatable(), RangedAudioParameterAttributes< Derived, Value >::withAutomatable(), AudioPlayHead::FrameRate::withBaseRate(), AudioProcessorValueTreeStateParameterAttributes::withBoolean(), AudioProcessorParameterWithIDAttributes::withCategory(), AudioProcessorValueTreeStateParameterAttributes::withCategory(), RangedAudioParameterAttributes< Derived, Value >::withCategory(), juce::midi_ci::DeviceOptions::withDeviceInfo(), AudioProcessorValueTreeStateParameterAttributes::withDiscrete(), AudioPlayHead::FrameRate::withDrop(), ToVarOptions::withExplicitVersion(), juce::midi_ci::DeviceOptions::withFeatures(), juce::midi_ci::DeviceOptions::withFunctionBlock(), JSON::FormatOptions::withIndentLevel(), AudioProcessorParameterWithIDAttributes::withInverted(), AudioProcessorValueTreeStateParameterAttributes::withInverted(), RangedAudioParameterAttributes< Derived, Value >::withInverted(), AudioProcessorParameterWithIDAttributes::withLabel(), AudioProcessorValueTreeStateParameterAttributes::withLabel(), RangedAudioParameterAttributes< Derived, Value >::withLabel(), JSON::FormatOptions::withMaxDecimalPlaces(), juce::midi_ci::DeviceOptions::withMaxSysExSize(), AudioProcessorParameterWithIDAttributes::withMeta(), AudioProcessorValueTreeStateParameterAttributes::withMeta(), RangedAudioParameterAttributes< Derived, Value >::withMeta(), juce::midi_ci::DeviceOptions::withOutputs(), juce::midi_ci::DeviceFeatures::withProcessInquirySupported(), juce::midi_ci::DeviceOptions::withProductInstanceId(), juce::midi_ci::DeviceFeatures::withProfileConfigurationSupported(), juce::midi_ci::DeviceOptions::withProfileDelegate(), juce::midi_ci::DeviceOptions::withPropertyDelegate(), juce::midi_ci::DeviceFeatures::withPropertyExchangeSupported(), AudioPlayHead::FrameRate::withPullDown(), JSON::FormatOptions::withSpacing(), AudioProcessorValueTreeStateParameterAttributes::withStringFromValueFunction(), RangedAudioParameterAttributes< Derived, Value >::withStringFromValueFunction(), AudioProcessorValueTreeStateParameterAttributes::withValueFromStringFunction(), RangedAudioParameterAttributes< Derived, Value >::withValueFromStringFunction(), ToVarOptions::withVersionIncluded(), and Point< ValueType >::withY().

## ◆ y

float float y

Referenced by RectangleList< ValueType >::add(), Point< ValueType >::addXY(), RectanglePlacement::appliedTo(), Justification::appliedToRectangle(), Justification::applyToRectangle(), Point< ValueType >::applyTransform(), RectangleList< ValueType >::containsPoint(), Rectangle< ValueType >::findAreaContainingPoints(), Point< ValueType >::getAngleToPoint(), PositionedGlyph::getBaselineY(), PositionedGlyph::getBottom(), Point< ValueType >::getDistanceFrom(), Point< ValueType >::getDistanceFromOrigin(), Point< ValueType >::getDistanceSquaredFromOrigin(), Point< ValueType >::getDotProduct(), Image::BitmapData::getLinePointer(), Image::BitmapData::getPixelPointer(), Point< ValueType >::getPointOnCircumference(), Point< ValueType >::getPointOnCircumference(), PositionedGlyph::getTop(), Point< ValueType >::getY(), Rectangle< ValueType >::intersectRectangles(), Point< ValueType >::isFinite(), EdgeTable::iterate(), juce::dsp::Polynomial< FloatingType >::operator()(), Point< ValueType >::operator*(), Point< ValueType >::operator*(), Point< ValueType >::operator*=(), Point< ValueType >::operator+(), Point< ValueType >::operator+=(), Point< ValueType >::operator-(), Point< ValueType >::operator-(), Point< ValueType >::operator-=(), Point< ValueType >::operator/(), Point< ValueType >::operator/(), Point< ValueType >::operator/=(), Point< ValueType >::rotatedAboutOrigin(), Point< ValueType >::roundToInt(), Point< ValueType >::setXY(), Point< ValueType >::setY(), Point< ValueType >::toDouble(), Point< ValueType >::toFloat(), Point< ValueType >::toInt(), Point< ValueType >::toString(), Point< ValueType >::transformedBy(), AffineTransform::transformPoint(), Point< ValueType >::translated(), and Point< ValueType >::withX().

## ◆ mods

int UnityEventModifiers mods

Referenced by KeyPress::getModifiers(), and TextEditorKeyMapper< CallbackClass >::invokeKeyFunction().

## ◆ button

float float UnityEventModifiers int button

Referenced by StandaloneFilterWindow::menuCallback().

## ◆ code

int code

Referenced by OpenGLGraphicsContextCustomShader::getFragmentShaderCode().

## ◆ name

int UnityEventModifiers const char* name

Referenced by DynamicLibrary::DynamicLibrary(), Identifier::getCharPointer(), XmlElement::getChildWithTagNameIterator(), AudioIODevice::getName(), SamplerSound::getName(), AudioProcessor::Bus::getName(), UnitTest::getName(), Typeface::getName(), GridItem::Property::getName(), CameraDevice::getName(), GridItem::Property::hasName(), Identifier::isNull(), Identifier::isValid(), Identifier::operator String::CharPointerType(), Identifier::operator StringRef(), Identifier::operator!=(), Identifier::operator!=(), Identifier::operator<(), Identifier::operator<=(), Identifier::operator==(), Identifier::operator==(), Identifier::operator>(), Identifier::operator>=(), GridItem::Span::Span(), and Identifier::toString().